function ret_val = createCsfWriterUsbInterface(file_location, usb_interface)
  % createCsfWriterUsbInterface
  %   Create csf writer from the USB interface
  %
  % Inputs:
  %   file_location - string - Path to where the csf file should be created
  %   usb_interface - UsbInterface - A USB interface
  %
  % Output:
  %   ret_val - CsfWriter - csf writer
  %

  ret_val = tof.mex('tof_create_csf_writer_usb_interface', file_location, usb_interface.get_object_ptr());
  ret_val = tof.CsfWriter(ret_val);
end

