% Example of how to generate and upload a camera
% configuration to Kea

cam = tof.KeaCamera(tof.ProcessingConfig(), '202001a');

config = cam.getCameraConfig();

while config.frameSize() > 1
    config.eraseFrame(1);
end

% Phase shifts for harmonic cancellation
config.setPhaseShifts(0, [0 0.25 0.375 0.625]);

% Duty cycly for harmonic cancellation
config.setDutyCycle(0, 0.4);

% You can also set 8 phase shifts
% config.setPhaseShifts(0, [0 0.125 0.25 0.375 0.5 0.625 0.75 0.875]);
% config.setDutyCycle(0, 0.5);

config.setIntegrationTime(0, [750 750 750 750]);
% For the mlx75027 you can set individual integration times for hdr
% config.setIntegrationTime(0, [250 250 250 250 1000 1000 1000 1000]);

config.setModulationFrequency(0, 100);

% Upload configuration to camera
cam.setCameraConfig(config);

print_configuration(config);
